<app-menu></app-menu>
<div class="text-center" *ngIf="isLogged; else loggedOut">
    <h2>Ya has iniciado sesión</h2>
</div>

<ng-template #loggedOut>
    <div class="container d-flex justify-content-center">
        <div class="card">
            <div class="card-body">
                <form #f="ngForm" (ngSubmit)="onLogin()" novalidate>
                    <div class="form-group">
                        <label for="nombreUsuario">Nombre de Usuario</label>
                        <input type="text" name="login" id="login" class="form-control"  [(ngModel)]="loginUsuario.login" required>
                    </div>
                    <div class="form-group">
                        <label for="password">Contraseña</label>
                        <input type="password" name="password" id="password" class="form-control"  [(ngModel)]="loginUsuario.password" required>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-outline-success btn-block" [disabled]="!f.valid">
                              <i class="fas fa-sign-in-alt"></i> Iniciar Sesión
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</ng-template>
